EDIT - feature request #6308

Add configuration dialog for the deletion of synonyms in name editor
01/03/2017 09:39 PM - Katja Luther

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 90%
Category: taxeditor Estimated time: 1:30 hour
Target version: Release 4.6

Severity: normal

Description

for the deletion of synonyms we also need a configuration dialog, similar to the deletion of taxa.

Related issues:
Related to EDIT - bug #6219: Deleting synonym is persisted immediately, but t... Closed
Related to EDIT - bug #9398: ObjectNotFoundException when removing a synonym ... Closed

Associated revisions

Revision 2bffeed2 - 02/08/2017 11:12 AM - Katja Luther

fix #6308: add delete configuration dialog for synonyms and misapplied names

Revision 7b179f56 - 03/29/2017 10:48 AM - Katja Luther

fix #6308: fix correct deletion handling of synonyms and misapplications and the right messages when delete a synonym with not deletable name

History

#1 - 01/03/2017 09:39 PM - Katja Luther
- Related to bug #6219: Deleting synonym is persisted immediately, but the editor is set dirty added

#2 - 01/05/2017 02:44 PM - Andreas Miiller

- Subject changed from Add configuration dioalog for the deletion of synonyms in name editor to Add configuration dialog for the deletion of synonyms
in name editor

- Target version changed from Unassigned CDM tickets to Release 4.5

- Estimated time set to 1:30 h

#3 - 01/19/2017 01:33 PM - Andreas Miiller

- Target version changed from Release 4.5 to Release 4.6

#4 - 02/08/2017 09:38 AM - Katja Luther
- Priority changed from New to Highest

#5 - 02/08/2017 11:12 AM - Katja Luther
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset taxeditor|2bffeed29e530122d2885344{716cda61a9cc825.

#6 - 02/08/2017 11:22 AM - Katja Luther

- Assignee changed from Katja Luther to Andreas Mdiller

#7 - 02/16/2017 09:26 PM - Andreas Miiller

Generally works, but if name could not be deleted (because in use) 2 warning appear, first is about synonym delete, second about misapplication
delete.

Maybe also #6424 is a related issue or even a regression
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/taxeditor/revisions/2bffeed29e530122d2885344f716cda61a9cc825
https://dev.e-taxonomy.eu/redmine/issues/6424

#8 - 02/16/2017 09:27 PM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Muiller to Katja Luther

#9 - 02/16/2017 09:27 PM - Andreas Miller

- Tracker changed from bug to feature request

#10 - 03/29/2017 10:49 AM - Katja Luther

- Status changed from Feedback to Resolved

Applied in changeset taxeditor|7b179f568172320789260f76997e1c3c688845(5.

#11 - 03/29/2017 10:53 AM - Katja Luther

- Assignee changed from Katja Luther to Andreas Mdiller

#12 - 01/18/2021 01:08 PM - Andreas Miiller
- Status changed from Resolved to Feedback
- Assignee changed from Andreas Miiller to Katja Luther

- % Done changed from 50 to 90

The 2 warnings do not show up anymore so we can close this ticket.

However, | am a bit astonished that no warning exists at all. | thought | remembered that if the name can not be deleted a warning/message appears
that it could not be deleted. However, this is not the case anymore. | tested also for deleting a TaxonNode with a name that is in use and also not
warning exists anymore so this issue does not seem to be only a synonym name issue.

If the obeserved behavior is the expected behavior feel free to close the ticket.

#13 - 01/18/2021 02:22 PM - Andreas Miiller

- Related to bug #9398: ObjectNotFoundException when removing a synonym that is used as NamelnSource added

#14 - 01/20/2021 11:54 AM - Katja Luther

- Status changed from Feedback to Closed

Andreas Milller wrote:
The 2 warnings do not show up anymore so we can close this ticket.
However, | am a bit astonished that no warning exists at all. | thought | remembered that if the name can not be deleted a warning/message
appears that it could not be deleted. However, this is not the case anymore. | tested also for deleting a TaxonNode with a name that is in use

and also not warning exists anymore so this issue does not seem to be only a synonym name issue.

If the obeserved behavior is the expected behavior feel free to close the ticket.

now isDeletable checks also for name isDeletable and adds a warning if name can't be deleted.
